<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/include/AndroidSLESMediaPlayer/AndroidSLESMediaPlayer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a></li><li class="navelem"><a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AndroidSLESMediaPlayer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_android_s_l_e_s_media_player_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;SLES/OpenSLES.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_equalizer_interface_8h.html">AVSCommon/SDKInterfaces/Audio/EqualizerInterface.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html">AVSCommon/SDKInterfaces/HTTPContentFetcherInterfaceFactoryInterface.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_media_player_interface_8h.html">AVSCommon/Utils/MediaPlayer/MediaPlayerInterface.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_iterative_playlist_parser_interface_8h.html">AVSCommon/Utils/PlaylistParser/IterativePlaylistParserInterface.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_android_s_l_e_s_engine_8h.html">AndroidUtilities/AndroidSLESEngine.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_android_s_l_e_s_object_8h.html">AndroidUtilities/AndroidSLESObject.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_equalizer_band_mapper_interface_8h.html">EqualizerImplementations/EqualizerBandMapperInterface.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_url_content_to_attachment_converter_8h.html">PlaylistParser/UrlContentToAttachmentConverter.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_android_s_l_e_s_media_queue_8h.html">AndroidSLESMediaPlayer/AndroidSLESMediaQueue.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_f_fmpeg_decoder_8h.html">AndroidSLESMediaPlayer/FFmpegDecoder.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_playback_configuration_8h.html">AndroidSLESMediaPlayer/PlaybackConfiguration.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1media_player.html">   38</a></span>&#160;<span class="keyword">namespace </span>mediaPlayer {</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">   39</a></span>&#160;<span class="keyword">namespace </span>android {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">   46</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">AndroidSLESMediaPlayer</a></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_interface.html">avsCommon::sdkInterfaces::audio::EqualizerInterface</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a> {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">static</span> std::unique_ptr&lt;AndroidSLESMediaPlayer&gt; <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a9995b91b172192c84c36293eb0dff535">create</a>(</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::HTTPContentFetcherInterfaceFactoryInterface&gt; contentFetcherFactory,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; engine,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">bool</span> enableEqualizer,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html">PlaybackConfiguration</a>&amp; config = <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html">PlaybackConfiguration</a>(),</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keyword">const</span> std::string&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a> = <span class="stringliteral">&quot;AndroidMediaPlayer&quot;</span>);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7d32ab0a823ecff06956bf97fccba575">setEqualizerBandLevels</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a> bandLevelMap) <span class="keyword">override</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#af6c2fd64a81e2a465d9ce13737b4608f">getMinimumBandLevel</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a1aabe3ee6c6b9d63c10706b6fdf1a367">getMaximumBandLevel</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7260e5a5d428c27778cc165445de37a0">setSource</a>(</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentReader&gt; attachmentReader,</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a>* format) <span class="keyword">override</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7260e5a5d428c27778cc165445de37a0">setSource</a>(<span class="keyword">const</span> std::string&amp; url, std::chrono::milliseconds offset, <span class="keywordtype">bool</span> repeat) <span class="keyword">override</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7260e5a5d428c27778cc165445de37a0">setSource</a>(std::shared_ptr&lt;std::istream&gt; stream, <span class="keywordtype">bool</span> repeat) <span class="keyword">override</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a36eb643712a0bb96acdd43632e4d3a88">play</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <span class="keywordtype">id</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a6214a40915be2de0657eea17203c8711">stop</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <span class="keywordtype">id</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#aaa23e4dd4692f0cc3a4ad481435af078">pause</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <span class="keywordtype">id</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#af9da612c856654050524399ae75765d5">resume</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <span class="keywordtype">id</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a1880a09b2dd2558113a9aab4da287de1">getOffset</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> <span class="keywordtype">id</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    uint64_t <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a874fb5e4e4e70c908de9cbb0ab0ef55b">getNumBytesBuffered</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#ae18c011619a8676700aa68f65e779f09">setObserver</a>(</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        std::shared_ptr&lt;avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface&gt; playerObserver) <span class="keyword">override</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a470683824c5d9fbbc13ca2389a4024c5">onPrefetchStatusChange</a>(SLuint32 event);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#ab8aea116e2e8614f27250ecf71b2587f">~AndroidSLESMediaPlayer</a>();</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a5a9ededb6b84a7b8b4d4053c50f0072b">getSpeaker</a>();</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a821fe823e9cf4b7570a0bc27beae5b58">doShutdown</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">AndroidSLESMediaPlayer</a>(</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::HTTPContentFetcherInterfaceFactoryInterface&gt; contentFetcherFactory,</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt; speaker,</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; engine,</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; outputMixObject,</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; playerObject,</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        SLEqualizerItf equalizer,</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        SLPlayItf playerInterface,</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html">PlaybackConfiguration</a>&amp; config,</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        <span class="keyword">const</span> std::string&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keywordtype">void</span> onQueueEvent(<a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#afdfda08735cf877ed378547a19fadef7">AndroidSLESMediaQueue::QueueEvent</a> event, <span class="keyword">const</span> std::string&amp; reason, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&amp; <span class="keywordtype">id</span>);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">bool</span> registerPrefetchStatusCallback();</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> configureNewRequest(</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        std::unique_ptr&lt;FFmpegInputControllerInterface&gt; inputController,</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        std::shared_ptr&lt;avsCommon::utils::playlistParser::IterativePlaylistParserInterface&gt; playlistParser = <span class="keyword">nullptr</span>,</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        std::chrono::milliseconds offset = std::chrono::milliseconds(0));</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordtype">bool</span> stopLocked();</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keywordtype">bool</span> initializeEqualizer();</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    <span class="keyword">static</span> std::chrono::milliseconds computeDuration(<span class="keywordtype">size_t</span> sizeBytes);</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    std::mutex m_requestMutex;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    std::mutex m_operationMutex;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::HTTPContentFetcherInterfaceFactoryInterface&gt; m_contentFetcherFactory;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> m_sourceId;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    std::chrono::milliseconds m_initialOffset;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt; m_speaker;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; m_engine;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; m_outputMixObject;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; m_playerObject;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    std::shared_ptr&lt;avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface&gt; m_observer;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    SLEqualizerItf m_equalizer;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    std::vector&lt;int&gt; m_growingFrequenceBandMap;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    std::shared_ptr&lt;equalizer::EqualizerBandMapperInterface&gt; m_bandMapper;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    <span class="keywordtype">int</span> m_numberOfEqualizerBands;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <span class="keywordtype">int</span> m_minBandLevel;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    <span class="keywordtype">int</span> m_maxBandLevel;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    SLPlayItf m_player;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    <span class="comment">// The android media player configuration.</span></div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html">PlaybackConfiguration</a> m_config;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    SLPrefetchStatusItf m_prefetchStatus;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    std::shared_ptr&lt;AndroidSLESMediaQueue&gt; m_mediaQueue;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    std::shared_ptr&lt;avsCommon::utils::playlistParser::IterativePlaylistParserInterface&gt; m_playlistParser;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;    <span class="keywordtype">bool</span> m_almostDone;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    <span class="keywordtype">bool</span> m_hasShutdown;</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;};</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;}  <span class="comment">// namespace android</span></div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;}  <span class="comment">// namespace mediaPlayer</span></div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a1880a09b2dd2558113a9aab4da287de1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a1880a09b2dd2558113a9aab4da287de1">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::getOffset</a></div><div class="ttdeci">std::chrono::milliseconds getOffset(SourceId id) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:347</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a></div><div class="ttdef"><b>Definition:</b> PlaybackConfiguration.h:40</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></div><div class="ttdef"><b>Definition:</b> MediaPlayerInterface.h:57</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerInterface</a></div><div class="ttdef"><b>Definition:</b> EqualizerInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue_html_afdfda08735cf877ed378547a19fadef7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#afdfda08735cf877ed378547a19fadef7">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue::QueueEvent</a></div><div class="ttdeci">QueueEvent</div><div class="ttdoc">Represent the event types that will be sent to the StatusCallback when the queue change state...</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaQueue.h:52</div></div>
<div class="ttc" id="_equalizer_band_mapper_interface_8h_html"><div class="ttname"><a href="_equalizer_band_mapper_interface_8h.html">EqualizerBandMapperInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a9e92dbf094527d2bf8ead4429f0ef9ea"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a></div><div class="ttdeci">std::unordered_map&lt; EqualizerBand, int, utils::functional::EnumClassHash &gt; EqualizerBandLevelMap</div><div class="ttdoc">A collection of bands with their level values. This is an alias for EqualizerBand to band level (int)...</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:79</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a5a9ededb6b84a7b8b4d4053c50f0072b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a5a9ededb6b84a7b8b4d4053c50f0072b">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::getSpeaker</a></div><div class="ttdeci">std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerInterface &gt; getSpeaker()</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:670</div></div>
<div class="ttc" id="_speaker_interface_8h_html"><div class="ttname"><a href="_speaker_interface_8h.html">SpeakerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface_html_a97b83ae4aaeabff7bb8a796a8a018623"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface::SourceId</a></div><div class="ttdeci">uint64_t SourceId</div><div class="ttdoc">A type that identifies which source is currently being operated on. </div><div class="ttdef"><b>Definition:</b> MediaPlayerInterface.h:60</div></div>
<div class="ttc" id="_android_s_l_e_s_engine_8h_html"><div class="ttname"><a href="_android_s_l_e_s_engine_8h.html">AndroidSLESEngine.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="_android_s_l_e_s_object_8h_html"><div class="ttname"><a href="_android_s_l_e_s_object_8h.html">AndroidSLESObject.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_ae18c011619a8676700aa68f65e779f09"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#ae18c011619a8676700aa68f65e779f09">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::setObserver</a></div><div class="ttdeci">void setObserver(std::shared_ptr&lt; avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface &gt; playerObserver) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:357</div></div>
<div class="ttc" id="_iterative_playlist_parser_interface_8h_html"><div class="ttname"><a href="_iterative_playlist_parser_interface_8h.html">IterativePlaylistParserInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a7260e5a5d428c27778cc165445de37a0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7260e5a5d428c27778cc165445de37a0">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::setSource</a></div><div class="ttdeci">SourceId setSource(std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentReader &gt; attachmentReader, const avsCommon::utils::AudioFormat *format) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:121</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html_a745cd4dc404db52f7d0afbf838454fac"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">alexaClientSDK::avsCommon::utils::RequiresShutdown::name</a></div><div class="ttdeci">const std::string &amp; name() const</div><div class="ttdef"><b>Definition:</b> RequiresShutdown.cpp:131</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_ab8aea116e2e8614f27250ecf71b2587f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#ab8aea116e2e8614f27250ecf71b2587f">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::~AndroidSLESMediaPlayer</a></div><div class="ttdeci">~AndroidSLESMediaPlayer()</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:379</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a></div><div class="ttdef"><b>Definition:</b> AudioFormat.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_aaa23e4dd4692f0cc3a4ad481435af078"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#aaa23e4dd4692f0cc3a4ad481435af078">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::pause</a></div><div class="ttdeci">bool pause(SourceId id) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:253</div></div>
<div class="ttc" id="_equalizer_interface_8h_html"><div class="ttname"><a href="_equalizer_interface_8h.html">EqualizerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_af9da612c856654050524399ae75765d5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#af9da612c856654050524399ae75765d5">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::resume</a></div><div class="ttdeci">bool resume(SourceId id) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:300</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a470683824c5d9fbbc13ca2389a4024c5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a470683824c5d9fbbc13ca2389a4024c5">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::onPrefetchStatusChange</a></div><div class="ttdeci">void onPrefetchStatusChange(SLuint32 event)</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:603</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a7d32ab0a823ecff06956bf97fccba575"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a7d32ab0a823ecff06956bf97fccba575">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::setEqualizerBandLevels</a></div><div class="ttdeci">void setEqualizerBandLevels(avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap bandLevelMap) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:754</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a874fb5e4e4e70c908de9cbb0ab0ef55b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a874fb5e4e4e70c908de9cbb0ab0ef55b">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::getNumBytesBuffered</a></div><div class="ttdeci">uint64_t getNumBytesBuffered() override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:352</div></div>
<div class="ttc" id="_media_player_interface_8h_html"><div class="ttname"><a href="_media_player_interface_8h.html">MediaPlayerInterface.h</a></div></div>
<div class="ttc" id="_playback_configuration_8h_html"><div class="ttname"><a href="_playback_configuration_8h.html">PlaybackConfiguration.h</a></div></div>
<div class="ttc" id="_h_t_t_p_content_fetcher_interface_factory_interface_8h_html"><div class="ttname"><a href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html">HTTPContentFetcherInterfaceFactoryInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_af6c2fd64a81e2a465d9ce13737b4608f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#af6c2fd64a81e2a465d9ce13737b4608f">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::getMinimumBandLevel</a></div><div class="ttdeci">int getMinimumBandLevel() override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:785</div></div>
<div class="ttc" id="_android_s_l_e_s_media_queue_8h_html"><div class="ttname"><a href="_android_s_l_e_s_media_queue_8h.html">AndroidSLESMediaQueue.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a1aabe3ee6c6b9d63c10706b6fdf1a367"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a1aabe3ee6c6b9d63c10706b6fdf1a367">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::getMaximumBandLevel</a></div><div class="ttdeci">int getMaximumBandLevel() override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:789</div></div>
<div class="ttc" id="_url_content_to_attachment_converter_8h_html"><div class="ttname"><a href="_url_content_to_attachment_converter_8h.html">UrlContentToAttachmentConverter.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a6214a40915be2de0657eea17203c8711"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a6214a40915be2de0657eea17203c8711">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::stop</a></div><div class="ttdeci">bool stop(SourceId id) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:209</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a821fe823e9cf4b7570a0bc27beae5b58"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a821fe823e9cf4b7570a0bc27beae5b58">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::doShutdown</a></div><div class="ttdeci">void doShutdown() override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:362</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a36eb643712a0bb96acdd43632e4d3a88"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a36eb643712a0bb96acdd43632e4d3a88">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::play</a></div><div class="ttdeci">bool play(SourceId id) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:161</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer</a></div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.h:46</div></div>
<div class="ttc" id="_f_fmpeg_decoder_8h_html"><div class="ttname"><a href="_f_fmpeg_decoder_8h.html">FFmpegDecoder.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player_html_a9995b91b172192c84c36293eb0dff535"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a9995b91b172192c84c36293eb0dff535">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::create</a></div><div class="ttdeci">static std::unique_ptr&lt; AndroidSLESMediaPlayer &gt; create(std::shared_ptr&lt; avsCommon::sdkInterfaces::HTTPContentFetcherInterfaceFactoryInterface &gt; contentFetcherFactory, std::shared_ptr&lt; applicationUtilities::androidUtilities::AndroidSLESEngine &gt; engine, avsCommon::sdkInterfaces::SpeakerInterface::Type type, bool enableEqualizer, const PlaybackConfiguration &amp;config=PlaybackConfiguration(), const std::string &amp;name=&quot;AndroidMediaPlayer&quot;)</div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaPlayer.cpp:429</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
